• ベストアンサー
  • 困ってます

JREとJDKについて質問します

JREとJDKについて質問します。 1)dos窓から、java -version とキーインすると下記の表示となりました。 java version "1.8.0_31" java(TM) SE Runtime Environment(build 1.8.0_31-b13) Q1) これは、JRE の確認(バージョン)と考えて宜しいでしょうか? 2)Windows7のコントロールパネルのプログラムと機能の一覧表の中に下記があります。 Java 8 Update31 Java SE Development kit Update 25 Java SE Development kit Update 31 Q2) 上記の Java 8 Update31 は、JREがインストールされていることを示していますか? そして、JREのバージョンは、前記の1)の 『java version "1.8.0_31"』 と考えて宜しいでしょうか? Q3) 『Java SE Development kit Update 25』の方はバージョンが、古いので 削除しても問題ありませんか? 以上、初歩的な質問ですが、宜しくお願いします。 尚、現在EclipseのPleiades44でソフト開発していますので、この質問をしました。 (JREとJDKのバージョンが一致している必要がある)

共感・応援の気持ちを伝えよう!

  • 回答数3
  • 閲覧数389
  • ありがとう数4

質問者が選んだベストアンサー

  • ベストアンサー
  • 回答No.3
  • _yasuo
  • ベストアンサー率41% (16/39)

Q1 YES Q2 YES Q3 使われていないのであれば、削除しても問題ないと思います。 最後に、Eclipseで~と記載があるので、Eclipseの設定(ソフト開発で利用している)で、JDKのパスを指定していて、それが、JDKの古いバージョンを指す場合(開発に用いるJDKバージョンはプロジェクトで固定するような状況の場合)には、削除すると問題になると思います。 Eclipse使ったことがないので、$PATH$から探す指定であれば問題ないかもしれません。

共感・感謝の気持ちを伝えよう!

質問者からの補足

_yasuo さま 毎度、お世話になります。 >Eclipse使ったことがないので、$PATH$から探す指定であれば問題ないかもしれません。 <-- 1)EclipseのPleiades44をinstallしました所、開発環境が自動的に出来ました。  pathには何も追加しませんでした。  DOS窓で、pathを表示しましたが、JREとJDRに関係したものは無いようでした。 多少、javaが理解できる様になりましたので、JREとJDRについて質問させて頂いた訳です。 お手数をおかけして、御免なさい。

関連するQ&A

  • JDKに含まれるJREのバージョン

    JDKに含まれるJREのバージョンは、単独で配布しているJREのバージョンと一緒なのでしょうか。 例えば、JDK1.6u24に含まれるJava仮想マシンは、JRE1.6u24なのでしょうか?

    • ベストアンサー
    • Java
  • JDKのアンインストール・再インストールについて

    OSはWindows Vista Home Premiamです http://java.sun.com/javase/ja/6/download.html よりJava SE Development Kit (JDK) 6 Update 12をダウンロードし、インストールしたのですが、後から別の場所にインストールし直したくなって、アンインストールしようとしたのですが、インストーラが「情報を集めています」と表示している間に、「このコンピュータには既にこのプログラムはインストールされています」という警告に切り替わり、どうにもならなくなってしまいました そこで、強制アンインストール(http://www.vector.co.jp/soft/win95/util/se259857.html?ds)を使ってみたのですが、インストールが出来ない状態になってしまいました しかし、Java Runtime Environmentはインストール出来ました また、他のバージョンのJDKはインストールしていません プログラミングに関しては初心者でどうすれば良いかわからず困っています どなたかご指導お願いします

    • ベストアンサー
    • Java
  • JREのインストール

    Java (JRE)のインストールについて PCに以下の2つがインストールされています。 以下の2つを削除して、Sunのサイトから、最新版の「Java (TM) 6 Update 14」をインストールしても、動作は変わらない(支障はない)のでしょうか。 Java SE SE Runtime Environment 5 Update 11 Java (TM) 6 Update 7

その他の回答 (2)

  • 回答No.2
  • askaaska
  • ベストアンサー率35% (1453/4147)

直接はわからなくても 対象のフォルダを片っ端から確認してみると java.exeがあるはずよ

共感・感謝の気持ちを伝えよう!

  • 回答No.1
  • askaaska
  • ベストアンサー率35% (1453/4147)

Q1)だいたいYes コマンドプロンプトで echo %PATH% を実行したときに Javaのインストール先binがいくつか出てきた場合 一番最初に出てきたインストール先が java -version で出てくるの Q2)だいたいYes 実際には echo %PATH% で確認してみてね Q3)だいたいYes 実際には(以下略

共感・感謝の気持ちを伝えよう!

質問者からの補足

askaaska さま 毎度、お世話になります。 >echo %PATH% を実行したときにJavaのインストール先binがいくつか出てきた場合 一番最初に出てきたインストール先がjava -versionで出てくるの <--dos窓で、pathを表示しましたが、JREとかJDKに関係したものは、 出て着ませんでした。

関連するQ&A

  • JDK1.6(Windows版) jar/javacコマンドが見当たりません

    こんばんは。 java.sun.comから、以下のJDK1.6(Windows版)を入手し、インストール しましたが、jar/javacコマンドが見当たりません。 jdk\bin配下や、jre\bin配下も確認しましたが見当たりませんでした。 jar/javacコマンドは、jdk1.6から無くなったのでしょうか? ご存知の方、アドバイスお願いします。 Windows Platform - Java(TM) SE Development Kit 6 Update 1 jdk-6u1-windows-i586-p.exe

  • JREについて

    このカテゴリが適当かどうか分かりませんが質問させていただきます。 Windowsのコントロールパネル→プログラムの追加と削除を参照した 所、下記の通り複数のJREが混在しておりました。 J2SE Runtime Environment 5.0 Update 1 J2SE Runtime Environment 5.0 Update 6 J2SE Runtime Environment 5.0 Update 9 J2SE Runtime Environment 5.0 Update 10 最新のバージョン以外は削除しても構わないでしょうか。 どなたかご教示頂けますでしょうか。

    • ベストアンサー
    • Java
  • JDKのバージョンと、JREのバージョンは別物?

    コンパイルするときは、 「どのバージョンのJREで動く資材を作るのか?」という指定が必要だと思うのですが、 どのJDKであっても、JREが固定的に決まることはない。という解釈で合っていますでしょうか? JDKのバージョンが7だろうが、8だろうが、 JDKによってJREが決まることはなく、 「Eclipseで、どのJRE用のプログラムを作るのか?」を指定するという認識です。 逆に言えば、JDKをインストールしたあとは、標準のJREのままにするのではなく、 ちゃんと、「バーチャルマシンとして、どんなJavaの実行環境で動く資材を作るのか?」を指定すべきだという認識です。 相違ないでしょうか? - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - ◆疑問点 (1)Eclipseで、JREのバージョンを指定するとして、 わざわざビルドパスを修正しなければならない理由はなんなのでしょうか? JREをインストールした際に、どのバージョンのJREが、どのディレクトリに格納されているのか?は、レジストリから引けるのでは?ビルドパスを明示的に指定するのはなぜ?と思いました。 (2)Windowsの環境変数「Path」に記載すれば、ビルドパスを指定しなくてもコンパイルはできるのでしょうか?(※プロジェクトファイルに記載されるようにした方が開発資材として望ましいのでしょうが。。) .

  • Java(JRE)のアップデート時の削除

    Java(JRE)をアップデートすると古いバージョンはよっぽど、そのバージョンを指定するソフトを使ってない限り 削除した方が良いんですよね? 古いバージョンのJREは、そのまま放置していると脆弱性が存在する状態でシステムに存在することになるので 利用していないのであれば、むしろ削除した方が良いのですよね?間違ってますか? http://www.atmarkit.co.jp/fwin2k/win2ktips/994uninstjre/uninstjre.html (こちらを読んでそう理解したのですが) その場合、プログラムの中に入っている Java (TM) SE Runtime Environment 6 Java (TM) 6 Update 3 Java (TM) 6 Update 5 Java (TM) 6 Update 7 Java (TM) 6 Update 11 この中でJava (TM) 6 Update 11 のみ残して後は全て削除して大丈夫でしょうか? また、以前のUpdateファイルを指定するようなソフトが実際にあったという方はいらっしゃいますか? よろしくお願いいたします。

  • JREのインストールについて

    はじめまして。現在WEBアプリの開発の学習をしているものです。 「基礎からのサーブレット/JSP」という参考書を使い、学習を進めているのですが、恥ずかしながら開発環境の構築のところでつまずいております。 具体的に言うと、JREのインストールが上手くできません。 そのためJREがインストールされていれば出ないはずのメッセージ、「Java Runtime Environmentがインストールされていないないようです。JDKをインストールしますか?」が何度も出てしまっております。 この参考書に付随しているCDからもインストールができるはずなのですが上手くいかず、ネットからJREを落としてきて(http://www.java.com/ja/download/)インストールもしてみたのですが、それも上手くいかず、どうしていいのか分からない状態です。 また、JREが正しくインストールされているかどうかを知るための方法として、コマンドプロンプトを起動してすぐ「java-version」と入力する、という手段をネットで見つけて試してみたのですが、確認できませんでした。 詳しい方がいらっしゃったら、是非ご教授願えないでしょうか? 開発環境:windows7

  • 旧バージョンのJAVAのダウンロードは?

    1.6.0_24以前のバージョンを使いたいと思っています。 http://java.sun.com/products/archive/ のアドレスから、Java SE 6→Java SE Development Kit 6u24→jdk-6u24-windows-x64.exeと進み、ログイン→ダウンロード→実行をしました。 しかし、「有効なWIN32アプリケーションではありません」とエラーが出ます。 解決方法を教えて下さい。

  • java -versionで表示される内容について

    Java -vesionコマンドで表示される内容の意味を教えてください。 java version "1.5.0_06" Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_06-b05) この場合JREのバージョンは5.0で Update6であるという認識でいいのでしょうか? (※1.5.0_06 の5.0がバージョン、_06がUPDATE) 宜しくお願いします。

    • ベストアンサー
    • Java
  • JAVAのバージョンについて

    JAVAのバージョンについて確認しているのですが、 今年の11月でJAVA SE(JRE)6のサポートが切れるようなのですが、 そこで疑問がありまして、、、 以下の2製品は(TM)が有るか無いか、の違いなのですが、何が違うのでしょうか。 また、本製品は両方とも今年の11月でサポート期限が切れるのでしょうか。 ・Java(TM) SE Runtime Environment 6 ・Java SE Runtime Environment 6

  • Java SE の脆弱性

    ウイルス対策板に投稿したついでに他の質問や回答を閲覧していて、Java Runtime Environment (JRE) に脆弱性が残されていることが分かりました。 自宅の PC は、JRE 6.0.33 でしたので、すぐにアンインストールしました。JRE が必要なのは、radish くらいですので、特に問題はありません。 ところが、会社では e-Gov 電子申請を利用していて Java Platform, Standard Edition (Java SE) が前提となっています。現在 Version 7 Update 7 ですが、脆弱性はあるのでしょうか? 脆弱性がある場合は、どういうことを注意して e-Gov にアクセスしたら良いですか?

  • eclipse自身が参照するJREについて

    いつもお世話になります。 eclipse自身が参照するJRE(eclipse自身の起動、実行のために必要なJRE)について、 以下の内容を教えて頂けませんでしょうか。 (1)eclipseがデフォルトで設定するJREの場所  まず私の認識としては、デフォルトは、パスの通っている場所からJREを見つけ、それを使用して  起動、実行し、インストール済みJREに設定される、だと思っています。  (自分が調べた限りではそうでした)    ここで、パスとはどこの設定のことなのでしょうか?  JavaはJDKの1.6をインストールしています。(C:\Java配下にJDKとJREをインストール)  試してみたのですが、環境変数のPATHにはJRE、JDKの場所を指し示す設定はしていません。  しかし、eclipseは起動しており、インストール済みJREを見たところ、「C:\Java\jre6」と  なっており、JDK1.6インストール時のパブリックJREを参照していました。  この設定は、どこを見ているのでしょうか? (2)eclipseのバージョンと対応しているJREのバージョン  現時点でeclipseは3.7まで出ていますが、それぞれのeclipseのバージョンを起動するのに必要な  JREのバージョンは何になるのでしょうか?調べてみましたが見つけることができませんでした。 宜しくお願い致します。 OS:Windows 7 HomePremium eclipse:eclipse-jee-indigo-SR1-win32-x86_64.zip

    • ベストアンサー
    • Java